LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Exported Interfaces | Public Member Functions | List of all members
XGridControl Interface Reference

specifies (some) functionality provided by a grid control (aka table control) More...

`import"XGridControl.idl";`

Inheritance diagram for XGridControl:

## Exported Interfaces
interface | XGrid
| allows access to the current column position within the grid control More...
interface | XGridFieldDataSupplier
| provides access to the data in the control, even in non-current rows More...

## Public Member Functions
void | addGridControlListener ([in] XGridControlListener listener)
| registers a listener which is to be notified about state changes in the grid control More...
void | removeGridControlListener ([in] XGridControlListener listener)
| revokes a previously registered grid control listener More...
Public Member Functions inherited from XGrid
short | getCurrentColumnPosition ()
| retrieves the current column position. More...
void | setCurrentColumnPosition ([in] short nPos)
| sets the current column position. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XGridFieldDataSupplier
sequence< boolean > | queryFieldDataType ([in] type xType)
| checks whether or not the content of the grid's columns can be retrieved in the requested format. More...
sequence< any > | queryFieldData ([in] long nRow, [in] type xType)
| retrieves the actual column data for the given row More...

## Detailed Description

specifies (some) functionality provided by a grid control (aka table control)

Since
  OOo 3.1

## Exported Interfaces

interface XGrid

allows access to the current column position within the grid control

interface XGridFieldDataSupplier

provides access to the data in the control, even in non-current rows

## Member Function Documentation

void addGridControlListener | ( | [in] XGridControlListener | listener | ) |

registers a listener which is to be notified about state changes in the grid control

void removeGridControlListener | ( | [in] XGridControlListener | listener | ) |

revokes a previously registered grid control listener

The documentation for this interface was generated from the following file:

- com/sun/star/form/XGridControl.idl